%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Python bindings for gtkextra
Name: python-gtkextra
Version: 1.1.0
Release: 37%{?dist}
# FIXME: the license is not quite clear, using the most restrictive license
# for this field.  See
# http://sourceforge.net/tracker/index.php?func=detail&aid=1941652&group_id=35371&atid=414148
License: GPLv2
URL: http://python-gtkextra.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: python-gtkextra-1.1.0-update.patch
Patch1: python-gtkextra-1.1.0-codegenmoved.patch
# https://sourceforge.net/tracker/?func=detail&aid=2805069&group_id=35371&atid=414148
Patch2: python-gtkextra-1.1.0-Makefile.patch
# https://sourceforge.net/tracker/?func=detail&aid=3172768&group_id=35371&atid=414148
Patch3: python-gtkextra-1.1.0-PyCObject.patch
# https://sourceforge.net/tracker/?func=detail&aid=3368113&group_id=35371&atid=414148
Patch4: python-gtkextra-1.1.0-G_TYPE_ITEM_ENTRY.patch
BuildRequires: gtk+extra-devel, pygtk2-devel, python2-devel
# For autoreconf
BuildRequires: autoconf, automake, libtool

%filter_provides_in %{python_sitearch}/gtk-2.0/gtkextra/_gtkextramodule.so
%filter_setup

%global _description\
This package provides a Python interface to the GtkExtra2 widget set for GTK2.

%description %_description

%package -n python2-gtkextra
Summary: %summary
Requires: pygtk2%{?_isa}
%{?python_provide:%python_provide python2-gtkextra}

%description -n python2-gtkextra %_description

%prep
%setup -q
%patch0 -p1 -b .update
%patch1 -p1 -b .codegenmoved
%patch2 -p1 -b .Makefile
%patch3 -p1 -b .PyCObject
%patch4 -p1 -b .G_TYPE_ITEM_ENTRY
autoreconf -fi

%build

%configure --disable-numpy
make %{?_smp_mflags}

%install
# Install __init__.py and _config.py to %{python_sitearch}
make install DESTDIR=$RPM_BUILD_ROOT \
	pygtkextradir='$(pyexecdir)/gtk-2.0/gtkextra'

%files -n python2-gtkextra
%doc AUTHORS ChangeLog COPYING README
%{python2_sitearch}/gtk-2.0/gtkextra
%exclude %{python_sitearch}/gtk-2.0/gtkextra/_gtkextramodule.la
%{_libdir}/pkgconfig/python-gtkextra.pc
%{_datadir}/pygtk/2.0/defs/gtkextra*.defs

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.1.0-35
- Rebuild with fixed binutils

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.0-32
- Python 2 binary package renamed to python2-gtkextra
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.1.0-29
- Rebuild due to bug in RPM (RHBZ #1468476)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-27
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov  7 2011 Miloslav Trmač <mitr@redhat.com> - 1.1.0-18
- Rebuild to drop dependency on libpng12

* Fri Jul 15 2011 Miloslav Trmač <mitr@redhat.com> - 1.1.0-17
- Fix build with recent gtk+extra packages
  Resolves: #715864

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb  4 2011 Miloslav Trmač <mitr@redhat.com> - 1.1.0-15
- Use %%{?_isa} in Requires:

* Fri Feb  4 2011 Miloslav Trmač <mitr@redhat.com> - 1.1.0-14
- Port from PyCObject to PyCapsule (but pygtk's use of PyCObject remains)

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Mar  4 2010 Miloslav Trmač <mitr@redhat.com> - 1.1.0-12
- Filter out bogus Provides: _gtkextramodule.so
- Drop no longer necessary references to BuildRoot: and
- Drop explicit Requires: pkgconfig
- Explicitly refer to Python 2.x

* Tue Jan  5 2010 Miloslav Trmač <mitr@redhat.com> - 1.1.0-11
- s/%%define/%%global/

* Thu Oct 15 2009 Miloslav Trmač <mitr@redhat.com> - 1.1.0-10
- Add dist tag

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Miloslav Trmač <mitr@redhat.com> - 1.1.0-8
- Fix build on rawhide

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan  9 2009 Miloslav Trmač <mitr@redhat.com> - 1.1.0-6
- More general fix for the codegen move

* Wed Jan 07 2009 Caolán McNamara <caolanm@redhat.com> - 1.1.0-5
- codegen moved from pygtk to pygobject, fix to rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1.0-4
- Rebuild for Python 2.6

* Sat Apr 19 2008 Miloslav Trmač <mitr@redhat.com> - 1.1.0-3
- Make it actually work on 64-bit systems

* Fri Apr 18 2008 Miloslav Trmač <mitr@redhat.com> - 1.1.0-2
- Fix build on 64-bit systems

* Mon Apr 14 2008 Miloslav Trmač <mitr@redhat.com> - 1.1.0-1
- Clean up for package review.

* Fri Oct 19 2007 Miloslav Trmač <mitr@redhat.com> - 1.1.0-0.mitr.1
- Initial package.
